Skip to content

Transfer with Payee ID

API Information

  • Path: /api/v1/txn/remittance
  • Method: POST
  • Content-Type: application/json

Business Description

  • Core payment submission interface.
  • Prerequisite: A reviewed and approved Payee ID (beneficiaryId) must be used.
  • Supports both full amount arrival and non-full amount arrival modes.
  • Please confirm the payee status and amount limits before submitting a payment.

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
beneficiaryIdintegerBeneficiary ID/Payee IDM
payerIdintegerPayer IDC
payerDetailstringPayer information (Note: choose either payerId or payerDetail)C
sourceAmountnumberSource AmountC, Required when chargeFlag is N
sourceCurrencystringSource CurrencyM
targetAmountnumberTarget AmountC, Required when chargeFlag is Y
targetCurrencystringTarget CurrencyM
requestIdstring(32)Transaction IDM
referencestring(256)Payment ReferenceC
transactionPurposestring(64)Transaction PurposeM
chargeFlagstringFull Amount ArrivalM
feeBearingstringSWIFT fee bearing methodC (Required when payment method is SWIFT; otherwise leave blank.)
signstringSignatureM

Request Example

json
{
  "merchantNo": "801040",
  "payerId":1953712585351499776,
  "payerDetail":"{\"createTime\":\"2025-08-16 14:21:57\",\"merchantNo\":\"801040\",\"country\":\"CN\",\"addressEn1\":\"Nanshan Science & Technology Park, Shenzhen\",\"addressEn2\":\"2all\",\"addressEn3\":\"3\",\"postcode\":\"518057\",\"status\":0,\"email\":\"1@qq.com\",\"areaCode\":\"+86\",\"phoneNumber\":\"15072871023\",\"state\":\"hubei\",\"city\":\"wuhan\",\"subEntityType\":\"1\",\"firstName\":\"zhang\",\"lastName\":\"san2\",\"idType\":\"0\",\"idNumber\":\"371328198410044019\",\"birthDate\":\"1984-10-04\",\"idValidDateFrom\":\"2016-08-04\",\"idValidDateTo\":\"2026-08-04\"}",
  "beneficiaryId": 1953727182141784064,
  "sourceAmount": 113.00,
  "sourceCurrency": "USD",
  "targetAmount": 1901.00,
  "targetCurrency": "PKR",
  "requestId": "DM2025081120520",
  "reference": "REFERENCE PAYPAL",
  "transactionPurpose": "4",
  "chargeFlag": "Y",
  "sign": "d2ea92efff636320122021f65b613201403f6d34334cfbc7e589ce9f842988f7"
}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─merchantNointegerMerchant Number
  └─payoutIdintegerPayment Transaction ID
  └─statusstringStatus
  └─requestIdstringPayment Transaction ID

Response Example

json
{
  "respCode": "",
  "respMsg": "",
  "data": {
    "merchantNo": 0,
    "payoutId": 0,
    "status": "",
    "requestId": ""
  }
}